Subject: RE: [External] : Re: bug#64046: 30.0.50; Quoting in customize choice tags

From: Drew Adams <[email-masked]>
Date: Fri, 1 Sep 2023 01:08:55 +0000

> > > Do you have an example of where it's not?  I can't think of one, so
> > > you'll have to help me here.
> >
> > Don't need one.  The TITLE can be _any_ text.
> > Who knows how ` and ' might be used?  You don't,
> > any more than I do.  Or if you do, please let us
> > know your assumptions about this: what gives you
> > the idea that they should always be translated
> > to curly quotes?
> 
> I was convinced by Stephen Berman's arguments upthread.  He spoke
> about the specifics of this function, how it might typically be used,
> and used examples to show why using curly quotes is a good idea here.
> 
> The reality is that we have decided to use curly quotes in Emacs, in
> places where it is typographically correct.  That decision was made
> before I was very active in the project, BTW.  So either we reverse
> that decision, or we try to be consistent about it.  My position is
> that the latter is preferable.

How does (a) a decision (however debatable its
merits) to convert ` and ' that surround key
descriptions, function names, variable names,
etc. in doc/help to curly quotes apply to, or
even relate to, (b) deciding to convert ` and '
to curly quotes in TITLE for the currently
considered context?

Has anyone spoken to that?  Has anyone given
any reason, let alone good reasons, for doing
that?  I haven't seen any reasons presented,
and I've asked you about it several times now.
Can you cite some reasons?

All I've seen are vague pronouncements that
doing that would produce TITLEs that are "a
bit nicer".  An opinion as worthy as another
perhaps, but "I like it" is hardly a reason
why changing user TITLEs is preferable to
just leaving them well enough alone.

You can say "I like curly quotes", and I can
say "I like straight quotes".  Opinions.
Goûts et couleurs.

But to me the real issue is leaving TITLEs
up to users.  Users are perfectly capable of
deciding what _they_ prefer for their TITLEs.

Why don't you leave it alone, to start with,
and see whether there's a resulting torrent
of user requests to impose curliness on `...'?